<?php
namespace Teknisa\SUP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services;

class Sup11300DadosFilialEnvioAfEmailService {

    public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
        $this->entityManager = $entityManager;
        $this->connection    = $entityManager->getConnection();
    }
    
    /********************
     *      UPDATES     *
     * ******************/
    
    public function UpdateDadosFilial($row) {
        try {
            $sql = "UPDATE FILIAL SET CDOPGESTOEMAF = :CDOPGESTOEMAF WHERE CDFILIAL = :CDFILIAL";
            $std = $this->connection->prepare($sql);
            $std->execute(
                array(
                    'CDOPGESTOEMAF' => $row['CDOPERADOR'],
                    'CDFILIAL'      => $row['CDFILIAL']
                )    
            );
        }
        catch (Exception $e) {
            throw new \Exception('Erro ao atualizar!');
        }
    }
}
